<?php
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."telefony/infusion_db.php";

if (file_exists(INFUSIONS."telefony/locale/".$settings['locale'].".php")) {
include INFUSIONS."telefony/locale/".$settings['locale'].".php";
}

echo "<script type='text/javascript' src='".INFUSIONS."telefony/js/highslide-with-gallery.js'></script>
	<link rel='stylesheet' href='".INFUSIONS."telefony/css/style.css' type='text/css' media='screen' />
<script type='text/javascript'>
	hs.graphicsDir = 'js/images/';
	hs.align = 'center';
	hs.transitions = ['expand', 'crossfade'];
	hs.outlineType = 'rounded-white';
	hs.fadeInOut = true;
	//hs.dimmingOpacity = 0.75;

	// Add the controlbar
	if (hs.addSlideshow) hs.addSlideshow({
		//slideshowGroup: 'group1',
		interval: 5000,
		repeat: false,
		useControls: true,
		fixedControls: 'fit',
		overlayOptions: {
			opacity: .75,
			position: 'bottom center',
			hideOnMouseOut: true
		}
	});
</script>";

opentable($locale['TL66']);

if(isset($_GET['cat_id'])&& isNum($_GET['cat_id'])) {

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; } 
$rows = dbcount("(id)", DB_TEL." WHERE model='".$_GET['cat_id']."'");


$wynik = dbquery("SELECT id, nazwa, miniaturki, obrazki, data, licznik,  
(SELECT COUNT(comment_id) FROM ".DB_COMMENTS." WHERE (comment_item_id=id) AND comment_type='T') AS komentarzy,
(SELECT COUNT(rating_id) FROM ".DB_RATINGS." WHERE (rating_item_id=id) AND rating_type='T') AS ocen,
(SELECT ROUND(AVG(rating_vote), 2) FROM ".DB_RATINGS." WHERE (rating_item_id=id) AND rating_type='T') AS srednia
FROM ".DB_TEL." WHERE model='".$_GET['cat_id']."'
ORDER BY nazwa ASC LIMIT ".$_GET['rowstart'].", 10");
echo "<table cellpadding='0' cellspacing='10' width='100%' class='tbl-border'>";
if(dbrows($wynik) > 0) {
echo "<tr>
<td align='left' class='tbl2' colspan='3'>".$locale['TL64']." <strong>".number_format($rows)."</strong></td>
</tr></table>";
$i = 0;
while($r = dbarray($wynik))    
{
if($r['miniaturki'] !== "") {
$mina = explode(",", $r['miniaturki']);
array_pop($mina);   
  
$obrazki = explode(",", $r['obrazki']);  
array_pop($obrazki);
  
$c = array_combine($mina, $obrazki);  
 
echo "
<table cellpadding='0' cellspacing='10' width='100%' class='tbl-border'>
<tr>
<td align='center' class='tbl2' colspan='3'>
<strong>
<a href='".INFUSIONS."telefony/zobacz_tel.php?tel_id=".$r['id']."'>".$r['nazwa']."</a>
</strong></td> 
</tr>

<tr>
<td align='right' class='tbl2' colspan='3'>

<table cellpadding='2' cellspacing='10' width='100%' style='border-collapse: separate; table-layout: fixed'>
<tr>
<td align='right' class='tbl2'><strong>".$locale['TL99']." ".strftime("%d.%m.%Y", $r['data'])."</strong></td> 
<td align='right' class='tbl2'><strong>".$locale['TL100']." ".number_format($r['komentarzy'])."</strong></td> 
<td align='right' class='tbl2'><strong>".$locale['TL101']." ".number_format($r['ocen'])."</strong></td> 
<td align='right' class='tbl2'><strong>".$locale['TL102']." ".number_format($r['licznik'])."</strong></td> 
<td align='right' class='tbl2'><strong>".$locale['TL103']." ".number_format($r['srednia'], 2)."</strong></td> 
</tr>
</table>


</td> 
</tr>

<tr>";
$i = 0;
while (list ($klucz, $wartosc) = each ($c)) {

echo "<td align='center' class='tbl2'>
<a href='".INFUSIONS."telefony/zdjecia/".$wartosc."' class=\"highslide\" onclick=\"return hs.expand(this)\">
<img src='".INFUSIONS."telefony/zdjecia/".$klucz."' alt='' border='0'/></a></td>";  
$i++; 
if ($i == 3) break;

} 
echo "</tr></table>";
} else {

echo "
<table cellpadding='0' cellspacing='10' width='100%' class='tbl-border'>
<tr>
<td align='center' class='tbl2' colspan='3'>
<strong>
<a href='".INFUSIONS."telefony/zobacz_tel.php?tel_id=".$r['id']."'>".$r['nazwa']."</a>
</strong></td> 
</tr></table>";
}



}
} else {
echo "<table cellpadding='0' cellspacing='10' width='100%' class='tbl-border'><tr>
<td align='center' class='tbl2' colspan='3'><strong>".$locale['TL63']."</strong></td>
</tr></table>";  
}


$id = "marki.php?cat_id=".$_GET['cat_id']."&";
if ($rows > 10) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],10,$rows,3,$id)."\n</div>\n";



} else {
$result = dbquery("SELECT c.*, (SELECT COUNT(id) FROM ".DB_TEL." a WHERE (c.cat_id=a.model)) AS ile
 FROM ".DB_CAT_TEL." c ORDER BY cat_name");
$counter = 0; $columns = 2; 
echo "<table cellpadding='0' cellspacing='10' width='100%' class='tbl-border'><tr>";
while ($data = dbarray($result)) {
if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr><tr>"; }
echo "<td align='center' class='tbl2'><a href='".INFUSIONS."telefony/marki.php?cat_id=".$data['cat_id']."'>".$data['cat_name']."</a> <span class='small2'>(".number_format($data['ile']).")</span>";
if ($data['miniaturka'] != "") { echo "<br /><span class='small'><a href='".INFUSIONS."telefony/marki.php?cat_id=".$data['cat_id']."'>
<img src='".INFUSIONS."telefony/zdjecia/".$data['miniaturka']."' alt='' border='' /></a>
</span>"; }
echo "</td>";
$counter++;
}
echo "</tr></table>";

$result1 = dbquery("SELECT * FROM ".DB_CAT_TEL."");
if(dbrows($result1) > 0) {
$link = ""; $sel = "";
while ($data1 = dbarray($result1)) {
if (isset($site_links)) $sel = ($site_links == $data1['cat_id'] ? " selected" : "");
$link .= "<option value='".$data1['cat_id']."'$sel>".$data1['cat_name']."</option>\n";
}

echo "<form name='szukaj' method='GET' action='".INFUSIONS."telefony/szukaj.php'>
<table cellpadding='0' cellspacing='10' width='100%' class='tbl-border'>
<tr>
<td align='center' class='tbl2'>
<input type='submit' name='submit' value='".$locale['TL65']."' class='button'>
<input type='text' name='subject' maxlength='50' class='textbox' style='width: 150px;' />
<select name='cat' class='textbox' style='width:150px;'>
$link</select>
</td>
</tr></table>";

}
}
closetable();
require_once THEMES."templates/footer.php";
?>
