<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."telefony/infusion_db.php";

if (file_exists(INFUSIONS."telefony/locale/".$settings['locale'].".php")) {
include INFUSIONS."telefony/locale/".$settings['locale'].".php";
}

// Infusion Information
$inf_title = $locale['TL1'];
$inf_description = $locale['TL1'];
$inf_version = "1.0";
$inf_developer = $locale['TL2'];
$inf_email = "kopec89@o2.pl";
$inf_weburl = "http://www.gc.com";

// Infusion Paths
$inf_folder = "telefony";

$inf_newtable[1] = DB_CAT_TEL." (
  `cat_id` smallint(5) unsigned NOT NULL auto_increment,
  `cat_name` varchar(100) NOT NULL,
  `logo` varchar(200) NOT NULL,
  `miniaturka` varchar(200) NOT NULL,
 PRIMARY KEY  (`cat_id`)
   ) TYPE=MyISAM";
   
$inf_newtable[2] = DB_TEL." (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `model` smallint(5) unsigned NOT NULL default '0',
  `nazwa` varchar(200) NOT NULL default '0',
  `data` int(10) unsigned NOT NULL default '0',
  `user_id` smallint(5) unsigned NOT NULL default '0',
  `GPRS` varchar(3) NOT NULL,
  `MMS` varchar(3) NOT NULL,
  `Java` varchar(3) NOT NULL,
  `Foto` varchar(3) NOT NULL,
  `Polifonia` varchar(3) NOT NULL,
  `Wymiary` varchar(10) NOT NULL,
  `obrazki` text NOT NULL,
  `miniaturki` text NOT NULL,
  `grubosc` float unsigned NOT NULL,
  `waga` float unsigned NOT NULL,
  `wyswietlacz` varchar(20) NOT NULL,
  `wys_dotykowy` varchar(3) NOT NULL,
  `Alarm` varchar(3) NOT NULL,
  `obudowa` varchar(3) NOT NULL,
  `wys_kolor` varchar(30) NOT NULL,
  `zlocze_kart` varchar(30) NOT NULL,
  `IrDA` varchar(3) NOT NULL,
  `Bluetooth` varchar(3) NOT NULL,
  `CSD` varchar(3) NOT NULL,
  `HSCSD` varchar(3) NOT NULL,
  `Profile` varchar(3) NOT NULL,
  `Kalendarz` varchar(3) NOT NULL,
  `lista_zadan` varchar(3) NOT NULL,
  `Notatnik` varchar(3) NOT NULL,
  `Zegarek` varchar(3) NOT NULL,
  `Budzik` varchar(3) NOT NULL,
  `Stoper` varchar(3) NOT NULL,
  `Minutnik` varchar(3) NOT NULL,
  `javawer` float unsigned NOT NULL,
  `Akumulator` varchar(30) NOT NULL,
  `dodatkowe_info` text NOT NULL,
  `licznik` int(10) unsigned NOT NULL default '0',
   PRIMARY KEY  (`id`)
   ) TYPE=MyISAM";   
   
$inf_newtable[3] = DB_TEL_DODAJ." (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `submit_datestamp` int(10) unsigned NOT NULL default '0',
  `submit_user` smallint(5) unsigned NOT NULL default '0',
  `dane` text NOT NULL,
 PRIMARY KEY  (`id`)
   ) TYPE=MyISAM";     

	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable[1] = DB_CAT_TEL;
$inf_droptable[2] = DB_TEL;
$inf_droptable[3] = DB_TEL_DODAJ;


$inf_adminpanel[1] = array(
	"title" => 'Telefony',
	"image" => "infusions.gif",
	"panel" => "telefony_admin.php",
	"rights" => "TE"
);

$inf_admin_image = "infusions.gif";
?>
